> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://mailchimp.com/developer/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/developer/_mcp/server.

# Add order

POST https://api.mailchimp.com/3.0/ecommerce/stores/{store_id}/orders
Content-Type: application/json

Add a new order to a store.

Reference: https://mailchimp.com/developer/marketing/api/ecommerce/create-store-order

## Authentication

- `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token)
- `Authorization` header (bearer token, required) — Authorization using OAuth

## Request

### Path parameters

- `store_id` (string, required) — The store id.

### Body (application/json)

This endpoint expects an object.

- `currency_code` (string, required) — The three-letter ISO 4217 code for the currency that the store accepts.
- `customer` (EcommerceStoresCartsPost, required) — Information about a specific customer. For existing customers include only the `id` parameter in the `customer` object body.
- `id` (string, required) — A unique identifier for the order.
- `lines` (list of 30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaLinesItems, required) — An array of the order's line items.
- `order_total` (30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaOrderTotal, required)
- `billing_address` (30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaBillingAddress, optional) — The billing address for the order.
- `campaign_id` (string, optional) — A string that uniquely identifies the campaign for an order.
- `cart_id` (30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaCartId, optional) — A cart id that the order was placed for.
- `cancelled_at_foreign` (string, optional) — The date and time the order was cancelled in ISO 8601 format. Note: passing a value for this parameter will cancel the order being created.
- `discount_total` (30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaDiscountTotal, optional)
- `financial_status` (string, optional) — The order status. Use this parameter to trigger [Order Notifications](https://mailchimp.com/developer/marketing/docs/e-commerce/#order-notifications).
- `fulfillment_status` (string, optional) — The fulfillment status for the order. Use this parameter to trigger [Order Notifications](https://mailchimp.com/developer/marketing/docs/e-commerce/#order-notifications).
- `landing_site` (string, optional) — The URL for the page where the buyer landed when entering the shop.
- `order_url` (string, optional) — The URL for the order.
- `outreach` (30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaOutreach, optional) — The outreach associated with this order. For example, an email campaign or Facebook ad.
- `processed_at_foreign` (string, optional) — The date and time the order was processed in ISO 8601 format.
- `promos` (list of 30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaPromosItems, optional) — The promo codes applied on the order
- `shipping_address` (30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaShippingAddress, optional) — The shipping address for the order.
- `shipping_total` (30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaShippingTotal, optional)
- `tax_total` (30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaTaxTotal, optional)
- `tracking_carrier` (string, optional) — The tracking carrier associated with the order.
- `tracking_code` (enum, optional) — The Mailchimp tracking code for the order. Uses the 'mc_tc' parameter in E-Commerce tracking URLs.
  - Allowed values: `prec`
- `tracking_number` (string, optional) — The tracking number associated with the order.
- `tracking_url` (string, optional) — The tracking URL associated with the order.
- `updated_at_foreign` (string, optional) — The date and time the order was updated in ISO 8601 format.

## Response

### 200

- `_links` (list of ECommerceOrderLinksItems, optional) — A list of link types and descriptions for the API schema documents.
- `billing_address` (ECommerceOrderBillingAddress, optional) — The billing address for the order.
- `campaign_id` (string, optional) — A string that uniquely identifies the campaign associated with an order.
- `cart_id` (string, optional) — A cart id that the order was placed for.
- `cancelled_at_foreign` (datetime, optional) — The date and time the order was cancelled in ISO 8601 format.
- `currency_code` (string, optional) — The three-letter ISO 4217 code for the currency that the store accepts.
- `customer` (ECommerceCustomer, optional) — Information about a specific customer.
- `discount_total` (double, optional) — The total amount of the discounts to be applied to the price of the order.
- `financial_status` (string, optional) — The order status. Use this parameter to trigger [Order Notifications](https://mailchimp.com/developer/marketing/docs/e-commerce/#order-notifications).
- `fulfillment_status` (string, optional) — The fulfillment status for the order. Use this parameter to trigger [Order Notifications](https://mailchimp.com/developer/marketing/docs/e-commerce/#order-notifications).
- `id` (string, optional) — A unique identifier for the order.
- `landing_site` (string, optional) — The URL for the page where the buyer landed when entering the shop.
- `lines` (list of ECommerceOrderLineItem, optional) — An array of the order's line items.
- `order_total` (ECommerceOrderOrderTotal, optional)
- `order_url` (string, optional) — The URL for the order.
- `outreach` (ECommerceOrderOutreach, optional) — The outreach associated with this order. For example, an email campaign or Facebook ad.
- `processed_at_foreign` (datetime, optional) — The date and time the order was processed in ISO 8601 format.
- `promos` (list of ECommerceOrderPromosItems, optional) — The promo codes applied on the order
- `shipping_address` (ECommerceOrderShippingAddress, optional) — The shipping address for the order.
- `shipping_total` (ECommerceOrderShippingTotal, optional)
- `store_id` (string, optional) — The unique identifier for the store.
- `tax_total` (ECommerceOrderTaxTotal, optional)
- `tracking_carrier` (string, optional) — The tracking carrier associated with the order.
- `tracking_code` (enum, optional) — The Mailchimp tracking code for the order. Uses the 'mc_tc' parameter in E-Commerce tracking URLs.
  - Allowed values: `prec`
- `tracking_number` (string, optional) — The tracking number associated with the order.
- `tracking_url` (string, optional) — The tracking URL associated with the order.
- `updated_at_foreign` (datetime, optional) — The date and time the order was updated in ISO 8601 format.

## Types

### EcommerceStoresCartsPost

Information about a specific customer. For existing customers include only the `id` parameter in the `customer` object body.

- `id` (string, required) — A unique identifier for the customer. Limited to 50 characters.
- `address` (EcommerceStoresCartsPostAddress, optional) — The customer's address.
- `company` (string, optional) — The customer's company.
- `email_address` (string, optional) — The customer's email address.
- `first_name` (string, optional) — The customer's first name.
- `last_name` (string, optional) — The customer's last name.
- `opt_in_status` (boolean, optional) — The customer's opt-in status. This value will never overwrite the opt-in status of a pre-existing Mailchimp list member, but will apply to list members that are added through the e-commerce API endpoints. Customers who don't opt in to your Mailchimp list [will be added as `Transactional` members](https://mailchimp.com/developer/marketing/docs/e-commerce/#customers).

### 30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaLinesItems

Information about a specific order line.

- `id` (string, required) — A unique identifier for the order line item.
- `price` (30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaLinesItemsPrice, required)
- `product_id` (string, required) — A unique identifier for the product associated with the order line item.
- `product_variant_id` (string, required) — A unique identifier for the product variant associated with the order line item.
- `quantity` (integer, required) — The quantity of an order line item.
- `discount` (30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaLinesItemsDiscount, optional)
- `product` (EcommerceStoresOrdersPost, optional) — Information about a specific product.

### 30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaOrderTotal

### 30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaBillingAddress

The billing address for the order.

- `address1` (string, optional) — The billing address for the order.
- `address2` (string, optional) — An additional field for the billing address.
- `city` (string, optional) — The city in the billing address.
- `company` (string, optional) — The company associated with the billing address.
- `country` (string, optional) — The country in the billing address.
- `country_code` (string, optional) — The two-letter code for the country in the billing address.
- `latitude` (30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaBillingAddressLatitude, optional) — The latitude for the billing address location.
- `longitude` (30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaBillingAddressLongitude, optional) — The longitude for the billing address location.
- `name` (string, optional) — The name associated with the billing address.
- `phone` (string, optional) — The phone number for the billing address
- `postal_code` (string, optional) — The postal or zip code in the billing address.
- `province` (string, optional) — The state or normalized province in the billing address.
- `province_code` (string, optional) — The two-letter code for the province in the billing address.

### 30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaCartId

A cart id that the order was placed for.

### 30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaDiscountTotal

### 30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaOutreach

The outreach associated with this order. For example, an email campaign or Facebook ad.

- `id` (string, optional) — A unique identifier for the outreach. Can be an email campaign ID.

### 30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaPromosItems

- `amount_discounted` (30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaPromosItemsAmountDiscounted, required)
- `code` (string, required) — The Promo Code
- `type` (enum, required) — Type of discount. For free shipping set type to fixed
  - Allowed values: `fixed`, `percentage`

### 30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaShippingAddress

The shipping address for the order.

- `address1` (string, optional) — The shipping address for the order.
- `address2` (string, optional) — An additional field for the shipping address.
- `city` (string, optional) — The city in the order's shipping address.
- `company` (string, optional) — The company associated with the shipping address.
- `country` (string, optional) — The country in the shipping address.
- `country_code` (string, optional) — The two-letter code for the country in the shipping address.
- `latitude` (30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaShippingAddressLatitude, optional) — The latitude for the shipping address location.
- `longitude` (30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaShippingAddressLongitude, optional) — The longitude for the shipping address location.
- `name` (string, optional) — The name associated with an order's shipping address.
- `phone` (string, optional) — The phone number for the order's shipping address.
- `postal_code` (string, optional) — The postal or zip code in the shipping address.
- `province` (string, optional) — The state or normalized province in the order's shipping address.
- `province_code` (string, optional) — The two-letter code for the province or state in the shipping address.

### 30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaShippingTotal

### 30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaTaxTotal

### ECommerceOrderLinksItems

This object represents a link from the resource where it is found to another resource or action that may be performed.

- `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action.
- `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'.
  - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD`
- `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link.
- `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to.
- `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to.

### ECommerceOrderBillingAddress

The billing address for the order.

- `address1` (string, optional) — The billing address for the order.
- `address2` (string, optional) — An additional field for the billing address.
- `city` (string, optional) — The city in the billing address.
- `company` (string, optional) — The company associated with the billing address.
- `country` (string, optional) — The country in the billing address.
- `country_code` (string, optional) — The two-letter code for the country in the billing address.
- `latitude` (double, optional) — The latitude for the billing address location.
- `longitude` (double, optional) — The longitude for the billing address location.
- `name` (string, optional) — The name associated with an order's billing address.
- `phone` (string, optional) — The phone number for the billing address.
- `postal_code` (string, optional) — The postal or zip code in the billing address.
- `province` (string, optional) — The state or normalized province in the billing address.
- `province_code` (string, optional) — The two-letter code for the province or state in the billing address.

### ECommerceCustomer

Information about a specific customer.

- `_links` (list of ECommerceCustomerLinksItems, optional) — A list of link types and descriptions for the API schema documents.
- `address` (ECommerceCustomerAddress, optional) — The customer's address.
- `company` (string, optional) — The customer's company.
- `created_at` (datetime, optional) — The date and time the customer was created in ISO 8601 format.
- `email_address` (string, optional) — The customer's email address.
- `first_name` (string, optional) — The customer's first name.
- `id` (string, optional) — A unique identifier for the customer.
- `last_name` (string, optional) — The customer's last name.
- `opt_in_status` (boolean, optional) — The customer's opt-in status. This value will never overwrite the opt-in status of a pre-existing Mailchimp list member, but will apply to list members that are added through the e-commerce API endpoints. Customers who don't opt in to your Mailchimp list [will be added as `Transactional` members](https://mailchimp.com/developer/marketing/docs/e-commerce/#customers).
- `orders_count` (integer, optional) — The customer's total order count.
- `sms_phone_number` (string, optional) — A US phone number for SMS contact.
- `total_spent` (ECommerceCustomerTotalSpent, optional)
- `updated_at` (datetime, optional) — The date and time the customer was last updated in ISO 8601 format.

### ECommerceOrderLineItem

Information about a specific order line.

- `_links` (list of ECommerceOrderLineItemLinksItems, optional) — A list of link types and descriptions for the API schema documents.
- `discount` (double, optional) — The total discount amount applied to a line item.
- `id` (string, optional) — A unique identifier for an order line item.
- `image_url` (string, optional) — The image URL for a product.
- `price` (ECommerceOrderLineItemPrice, optional)
- `product_id` (string, optional) — A unique identifier for the product associated with an order line item.
- `product_title` (string, optional) — The name of the product for an order line item.
- `product_variant_id` (string, optional) — A unique identifier for the product variant associated with an order line item.
- `product_variant_title` (string, optional) — The name of the product variant for an order line item.
- `quantity` (integer, optional) — The order line item quantity.

### ECommerceOrderOrderTotal

### ECommerceOrderOutreach

The outreach associated with this order. For example, an email campaign or Facebook ad.

- `id` (string, optional) — A unique identifier for the outreach. Can be an email campaign ID.
- `name` (string, optional) — The name for the outreach.
- `published_time` (datetime, optional) — The date and time the Outreach was published in ISO 8601 format.
- `type` (string, optional) — The type of the outreach.

### ECommerceOrderPromosItems

- `amount_discounted` (double, optional) — The amount of discount applied on the total price. For example if the total cost was $100 and the customer paid $95.5, amount_discounted will be 4.5 For free shipping set amount_discounted to 0
- `code` (string, optional) — The Promo Code
- `type` (enum, optional) — Type of discount. For free shipping set type to fixed
  - Allowed values: `fixed`, `percentage`

### ECommerceOrderShippingAddress

The shipping address for the order.

- `address1` (string, optional) — The shipping address for the order.
- `address2` (string, optional) — An additional field for the shipping address.
- `city` (string, optional) — The city in the order's shipping address.
- `company` (string, optional) — The company associated with an order's shipping address.
- `country` (string, optional) — The country in the order's shipping address.
- `country_code` (string, optional) — The two-letter code for the country in the shipping address.
- `latitude` (double, optional) — The latitude for the shipping address location.
- `longitude` (double, optional) — The longitude for the shipping address location.
- `name` (string, optional) — The name associated with an order's shipping address.
- `phone` (string, optional) — The phone number for the order's shipping address
- `postal_code` (string, optional) — The postal or zip code in the order's shipping address.
- `province` (string, optional) — The state or normalized province in the order's shipping address.
- `province_code` (string, optional) — The two-letter code for the province or state the order's shipping address is located in.

### ECommerceOrderShippingTotal

### ECommerceOrderTaxTotal

### EcommerceStoresCartsPostAddress

The customer's address.

- `address1` (string, optional) — The mailing address of the customer.
- `address2` (string, optional) — An additional field for the customer's mailing address.
- `city` (string, optional) — The city the customer is located in.
- `country` (string, optional) — The customer's country.
- `country_code` (string, optional) — The two-letter code for the customer's country.
- `postal_code` (string, optional) — The customer's postal or zip code.
- `province` (string, optional) — The customer's state name or normalized province.
- `province_code` (string, optional) — The two-letter code for the customer's province or state.

### 30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaLinesItemsPrice

### 30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaLinesItemsDiscount

### EcommerceStoresOrdersPost

Information about a specific product.

- `id` (EcommerceStoresOrdersPostId, required) — A unique identifier for the product.
- `title` (string, required) — The title of a product.
- `variants` (list of EcommerceStoresOrdersPostVariantsItems, required) — An array of the product's variants. At least one variant is required for each product. A variant can use the same `id` and `title` as the parent product.
- `description` (string, optional) — The description of a product.
- `handle` (string, optional) — The handle of a product.
- `image_url` (string, optional) — The image URL for a product.
- `images` (list of EcommerceStoresOrdersPostImagesItems, optional) — An array of the product's images.
- `published_at_foreign` (string, optional) — The date and time the product was published.
- `type` (string, optional) — The type of product.
- `url` (string, optional) — The URL for a product.
- `vendor` (string, optional) — The vendor for a product.

### 30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaBillingAddressLatitude

The latitude for the billing address location.

### 30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaBillingAddressLongitude

The longitude for the billing address location.

### 30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaPromosItemsAmountDiscounted

### 30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaShippingAddressLatitude

The latitude for the shipping address location.

### 30EcommerceStoresStoreIdOrdersPostRequestBodyContentApplicationJsonSchemaShippingAddressLongitude

The longitude for the shipping address location.

### ECommerceCustomerLinksItems

This object represents a link from the resource where it is found to another resource or action that may be performed.

- `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action.
- `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'.
  - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD`
- `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link.
- `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to.
- `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to.

### ECommerceCustomerAddress

The customer's address.

- `address1` (string, optional) — The mailing address of the customer.
- `address2` (string, optional) — An additional field for the customer's mailing address.
- `city` (string, optional) — The city the customer is located in.
- `country` (string, optional) — The customer's country.
- `country_code` (string, optional) — The two-letter code for the customer's country.
- `postal_code` (string, optional) — The customer's postal or zip code.
- `province` (string, optional) — The customer's state name or normalized province.
- `province_code` (string, optional) — The two-letter code for the customer's province or state.

### ECommerceCustomerTotalSpent

### ECommerceOrderLineItemLinksItems

This object represents a link from the resource where it is found to another resource or action that may be performed.

- `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action.
- `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'.
  - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD`
- `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link.
- `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to.
- `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to.

### ECommerceOrderLineItemPrice

### EcommerceStoresOrdersPostId

A unique identifier for the product.

### EcommerceStoresOrdersPostVariantsItems

Information about a specific product variant.

- `id` (EcommerceStoresOrdersPostVariantsItemsId, required) — A unique identifier for the product variant.
- `title` (string, required) — The title of a product variant.
- `backorders` (string, optional) — The backorders of a product variant.
- `image_url` (string, optional) — The image URL for a product variant.
- `inventory_quantity` (integer, optional) — The inventory quantity of a product variant.
- `price` (EcommerceStoresOrdersPostVariantsItemsPrice, optional)
- `sku` (string, optional) — The stock keeping unit (SKU) of a product variant.
- `url` (string, optional) — The URL for a product variant.
- `visibility` (string, optional) — The visibility of a product variant.

### EcommerceStoresOrdersPostImagesItems

Information about a specific product image.

- `id` (string, required) — A unique identifier for the product image.
- `url` (string, required) — The URL for a product image.
- `variant_ids` (list of EcommerceStoresOrdersPostImagesItemsVariantIdsItems, optional) — The list of product variants using the image.

### EcommerceStoresOrdersPostVariantsItemsId

A unique identifier for the product variant.

### EcommerceStoresOrdersPostVariantsItemsPrice

### EcommerceStoresOrdersPostImagesItemsVariantIdsItems

## Examples

**Request**

```json
{
  "currency_code": "string",
  "customer": {
    "id": "string"
  },
  "id": "string",
  "lines": [
    {
      "id": "string",
      "price": 1.1,
      "product_id": "string",
      "product_variant_id": "string",
      "quantity": 1
    }
  ],
  "order_total": 1.1
}
```

**Response**

```json
{
  "_links": [
    {
      "href": "string",
      "method": "GET",
      "rel": "string",
      "schema": "string",
      "targetSchema": "string"
    }
  ],
  "billing_address": {
    "address1": "675 Ponce de Leon Ave NE",
    "address2": "Suite 5000",
    "city": "Atlanta",
    "company": "string",
    "country": "United States",
    "country_code": "US",
    "latitude": 45.427408,
    "longitude": -75.68903,
    "name": "Freddie Chimpenheimer",
    "phone": "8675309",
    "postal_code": "30308",
    "province": "Georgia",
    "province_code": "GA"
  },
  "campaign_id": "839488a60b",
  "cart_id": "cart-123",
  "cancelled_at_foreign": "2015-07-15T19:28:00+00:00",
  "currency_code": "string",
  "customer": {
    "_links": [
      {
        "href": "string",
        "method": "GET",
        "rel": "string",
        "schema": "string",
        "targetSchema": "string"
      }
    ],
    "address": {
      "address1": "675 Ponce de Leon Ave NE",
      "address2": "Suite 5000",
      "city": "Atlanta",
      "country": "United States",
      "country_code": "US",
      "postal_code": "30308",
      "province": "Georgia",
      "province_code": "GA"
    },
    "company": "string",
    "created_at": "2015-07-15T19:28:00+00:00",
    "email_address": "string",
    "first_name": "string",
    "id": "string",
    "last_name": "string",
    "opt_in_status": true,
    "orders_count": 4,
    "sms_phone_number": "string",
    "total_spent": 1.1,
    "updated_at": "2015-07-15T19:28:00+00:00"
  },
  "discount_total": 1.1,
  "financial_status": "string",
  "fulfillment_status": "string",
  "id": "string",
  "landing_site": "http://www.example.com?source=abc",
  "lines": [
    {
      "_links": [
        {
          "href": "string",
          "method": "GET",
          "rel": "string",
          "schema": "string",
          "targetSchema": "string"
        }
      ],
      "discount": 1.1,
      "id": "string",
      "image_url": "string",
      "price": 1.1,
      "product_id": "string",
      "product_title": "string",
      "product_variant_id": "string",
      "product_variant_title": "string",
      "quantity": 1
    }
  ],
  "order_total": 1.1,
  "order_url": "string",
  "outreach": {
    "id": "839488a60b",
    "name": "Freddie's Jokes",
    "published_time": "2017-06-06T13:56:12+00:00",
    "type": "regular"
  },
  "processed_at_foreign": "2015-07-15T19:28:00+00:00",
  "promos": [
    {
      "amount_discounted": 1.1,
      "code": "string",
      "type": "fixed"
    }
  ],
  "shipping_address": {
    "address1": "675 Ponce de Leon Ave NE",
    "address2": "Suite 5000",
    "city": "Atlanta",
    "company": "string",
    "country": "United States",
    "country_code": "US",
    "latitude": 45.427408,
    "longitude": -75.68903,
    "name": "Freddie Chimpenheimer",
    "phone": "8675309",
    "postal_code": "30308",
    "province": "Georgia",
    "province_code": "GA"
  },
  "shipping_total": 1.1,
  "store_id": "string",
  "tax_total": 1.1,
  "tracking_carrier": "string",
  "tracking_code": "prec",
  "tracking_number": "string",
  "tracking_url": "string",
  "updated_at_foreign": "2015-07-15T19:28:00+00:00"
}
```

**SDK Code**

```python
import requests

url = "https://api.mailchimp.com/3.0/ecommerce/stores/store_id/orders"

payload = {
    "currency_code": "string",
    "customer": { "id": "string" },
    "id": "string",
    "lines": [
        {
            "id": "string",
            "price": 1.1,
            "product_id": "string",
            "product_variant_id": "string",
            "quantity": 1
        }
    ],
    "order_total": 1.1
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.mailchimp.com/3.0/ecommerce/stores/store_id/orders';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"currency_code":"string","customer":{"id":"string"},"id":"string","lines":[{"id":"string","price":1.1,"product_id":"string","product_variant_id":"string","quantity":1}],"order_total":1.1}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.mailchimp.com/3.0/ecommerce/stores/store_id/orders"

	payload := strings.NewReader("{\n  \"currency_code\": \"string\",\n  \"customer\": {\n    \"id\": \"string\"\n  },\n  \"id\": \"string\",\n  \"lines\": [\n    {\n      \"id\": \"string\",\n      \"price\": 1.1,\n      \"product_id\": \"string\",\n      \"product_variant_id\": \"string\",\n      \"quantity\": 1\n    }\n  ],\n  \"order_total\": 1.1\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.mailchimp.com/3.0/ecommerce/stores/store_id/orders")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"currency_code\": \"string\",\n  \"customer\": {\n    \"id\": \"string\"\n  },\n  \"id\": \"string\",\n  \"lines\": [\n    {\n      \"id\": \"string\",\n      \"price\": 1.1,\n      \"product_id\": \"string\",\n      \"product_variant_id\": \"string\",\n      \"quantity\": 1\n    }\n  ],\n  \"order_total\": 1.1\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.mailchimp.com/3.0/ecommerce/stores/store_id/orders")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"currency_code\": \"string\",\n  \"customer\": {\n    \"id\": \"string\"\n  },\n  \"id\": \"string\",\n  \"lines\": [\n    {\n      \"id\": \"string\",\n      \"price\": 1.1,\n      \"product_id\": \"string\",\n      \"product_variant_id\": \"string\",\n      \"quantity\": 1\n    }\n  ],\n  \"order_total\": 1.1\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.mailchimp.com/3.0/ecommerce/stores/store_id/orders', [
  'body' => '{
  "currency_code": "string",
  "customer": {
    "id": "string"
  },
  "id": "string",
  "lines": [
    {
      "id": "string",
      "price": 1.1,
      "product_id": "string",
      "product_variant_id": "string",
      "quantity": 1
    }
  ],
  "order_total": 1.1
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.mailchimp.com/3.0/ecommerce/stores/store_id/orders");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"currency_code\": \"string\",\n  \"customer\": {\n    \"id\": \"string\"\n  },\n  \"id\": \"string\",\n  \"lines\": [\n    {\n      \"id\": \"string\",\n      \"price\": 1.1,\n      \"product_id\": \"string\",\n      \"product_variant_id\": \"string\",\n      \"quantity\": 1\n    }\n  ],\n  \"order_total\": 1.1\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "currency_code": "string",
  "customer": ["id": "string"],
  "id": "string",
  "lines": [
    [
      "id": "string",
      "price": 1.1,
      "product_id": "string",
      "product_variant_id": "string",
      "quantity": 1
    ]
  ],
  "order_total": 1.1
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/ecommerce/stores/store_id/orders")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```